CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-0150

Multiple format string vulnerabilities in the auth_ldap_log_reason function in Apache auth_ldap 1.6.0 and earlier allows remote attackers to execute arbitrary code via various vectors, including the username.
Publish Date : 2006-01-09 Last Update Date : 2011-09-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Execute Code
CWE ID 134

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat critical 2006-01-09 2006-01-09
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-0150 oval:org.opensuse.security:def:20060150 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-0150

# Product Type Vendor Product Version Update Edition Language
1 Application Dave Carrigan Auth Ldap 1.2.1 Version Details Vulnerabilities
2 Application Dave Carrigan Auth Ldap 1.2.2 Version Details Vulnerabilities
3 Application Dave Carrigan Auth Ldap 1.2.3 Version Details Vulnerabilities
4 Application Dave Carrigan Auth Ldap 1.2.4 Version Details Vulnerabilities
5 Application Dave Carrigan Auth Ldap 1.3.0 Version Details Vulnerabilities
6 Application Dave Carrigan Auth Ldap 1.3.1 Version Details Vulnerabilities
7 Application Dave Carrigan Auth Ldap 1.3.2 Version Details Vulnerabilities
8 Application Dave Carrigan Auth Ldap 1.3.3 Version Details Vulnerabilities
9 Application Dave Carrigan Auth Ldap 1.3.4 Version Details Vulnerabilities
10 Application Dave Carrigan Auth Ldap 1.4.0 Version Details Vulnerabilities
11 Application Dave Carrigan Auth Ldap 1.4.2 Version Details Vulnerabilities
12 Application Dave Carrigan Auth Ldap 1.4.3 Version Details Vulnerabilities
13 Application Dave Carrigan Auth Ldap 1.6.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Dave Carrigan Auth Ldap 13

- References For CVE-2006-0150

http://www.digitalarmaments.com/2006090173928420.html
http://securitytracker.com/id?1015456
SECTRACK 1015456
http://www.rudedog.org/auth_ldap/Changes.html CONFIRM
http://www.vupen.com/english/advisories/2006/0117
VUPEN ADV-2006-0117
http://www.securityfocus.com/archive/1/archive/1/421286/100/0/threaded
BUGTRAQ 20060109 Digital Armaments Security Advisory 01.09.2006: Apache auth_ldap module Multiple Format Strings Vulnerability
http://secunia.com/advisories/18382
SECUNIA 18382
http://xforce.iss.net/xforce/xfdb/24030
XF apache-authldap-format-string(24030)
http://secunia.com/advisories/18412
SECUNIA 18412
http://secunia.com/advisories/18405
SECUNIA 18405
http://secunia.com/advisories/18568
SECUNIA 18568
http://www.debian.org/security/2006/dsa-952
DEBIAN DSA-952
http://www.securityfocus.com/bid/16177
BID 16177 Dave Carrigan Auth_LDAP Remote Format String Vulnerability Release Date:2006-08-16
http://www.redhat.com/support/errata/RHSA-2006-0179.html
REDHAT RHSA-2006:0179
http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:017
MANDRIVA MDKSA-2006:017

- Metasploit Modules Related To CVE-2006-0150

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.